Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

dev-haskell/xhtml: removed stale code

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
  • Loading branch information...
commit d870ee32be7edf57859bf71d9057610cf2644a5a 1 parent f17dcef
@trofi trofi authored
View
2  dev-haskell/xhtml/Manifest
@@ -11,5 +11,5 @@ EBUILD xhtml-3000.0.2.2.ebuild 420 RMD160 227b2d1a3659f18f2f06bc5b69d9d693647d1f
EBUILD xhtml-3000.0.2.ebuild 566 RMD160 b7df25d7878d51805a7f5595892cba9d3e7a0783 SHA1 3f881eb8dfaa8d8f1678d7d7125f9fbf580858fb SHA256 01aacd5d9bf4746958e75c683f8eed04a069aa7ee1a7517b4771c02d58151f93
EBUILD xhtml-3000.2.0.0.ebuild 420 RMD160 be1205295c0bf60eb2bc76f411002a1c94f4d264 SHA1 8cef8eaaf81c02435d8ee1db526b0f02f3f3131c SHA256 d470f853d9e247c73703d475789d5516a4d52926daacc85ef2800279136b26e2
EBUILD xhtml-3000.2.0.1.ebuild 607 RMD160 1fe919b64b9ac2ddb1121f314d0f10caa83d6722 SHA1 35a854f77050fcfc716764f7428506f5653739bd SHA256 a644c5c0b6be9e3eb81dbe0ddd3953b508527034dcf0c79e0d4b3a882a3eb6a1
-EBUILD xhtml-3000.2.0.5.ebuild 1217 RMD160 cd540c88456ca999062372ca148cca1cc40d9184 SHA1 5da5a04fe591351a20d50f2574b1597a07a7ca6f SHA256 382d7571ca03ae45ee96bf5781ed915db42f021527302a09c784542438b99617
+EBUILD xhtml-3000.2.0.5.ebuild 569 RMD160 d2e3a9c1881b6e285c1b593ac4a464ab8ac595b5 SHA1 3c5ac36905b036d7d6cec4cc64417362750775f6 SHA256 c9ce053882a653559e9b95dee3fc3262353da1283cf92cc9dc69899bb0614061
MISC metadata.xml 388 RMD160 4c3bc5e4a0c14f16480e055c8c3dca4e8a681119 SHA1 9c27bd9665420bd5f5a5820b2902dd6ffd3e1295 SHA256 c91f5d6530bc68363712296ef41f02c572fbaf42891a167f286aefae9e22af23
View
15 dev-haskell/xhtml/xhtml-3000.2.0.5.ebuild
@@ -20,18 +20,3 @@ IUSE=""
RDEPEND=">=dev-lang/ghc-6.10.1"
DEPEND="${RDEPEND}
>=dev-haskell/cabal-1.6"
-
-src_prepare() {
- if has_version '>=dev-lang/ghc-7.2.1' && has_version '<dev-haskell/ghc-7.4.0'; then
- if ghc-pkg describe base | grep -q "trusted: False"; then
- eerror "Due to an oversight, the base package isn't trusted by default in ghc-7.2.1."
- eerror "To avoid the build failing with the error:"
- eerror "base:Prelude can't be safely imported! The package (base) the module resides in isn't trusted."
- eerror "it is necessary to run, once:"
- eerror "ghc-pkg trust base"
- die "base is not trusted"
- fi
- fi
- sed -e 's@base >= 4.0 && < 4.5@base >= 4.0 \&\& < 4.6@' \
- -i "${S}/${PN}.cabal" || die "Could not loosen dependencies"
-}
Please sign in to comment.
Something went wrong with that request. Please try again.